---
- name: Testing Netplan Configuration
  listen: netplan try config
  expect:
    command: netplan try
    responses:
      "Press ENTER before the timeout to accept the new configuration": ""
  become: true

- name: Applying Netplan Configuration
  command: netplan apply
  listen: netplan apply config
  become: true
